Add a store
POST
/products/{productId}/stores
const url = 'https://api.motenya.app/v1/products/example/stores';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","currency":"RON","baseUrl":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.motenya.app/v1/products/example/stores \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "currency": "RON", "baseUrl": "example" }'Requires crm:configure.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”productId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
currency
required
ISO 4217 code, e.g. RON or EUR.
string
Example
RONbaseUrl
string | null
Responses
Section titled “Responses”Success
Media typeapplication/json
object
id
required
string
name
required
string
platform
required
string
baseUrl
required
string | null
currency
required
string
createdAt
required
string
updatedAt
required
string
key
additional properties
Example
{ "platform": "manual"}Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Missing, invalid, revoked or expired API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Missing scope, API turned off, published article without publish scope, or account suspended
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Not found, or outside the knowledge bases this key may use
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Slug or translation already exists
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Rejected by validation (e.g. unknown language or category)
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Rate limited; see Retry-After
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Internal error